
Redmine - Feature #9020

Auto upgrade of redmine and plugins making it much easier to manage the versions

2011-08-10 01:07 - Rand C

Status: New Start date: 2011-08-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Can we get a feature much like Jenkins already has where you can go to a management area for the readmine app and upgrade

your app version. Also create a manage plugins area.

Please install jenkins and look at these areas they have, you need this stuff badly.

Related issues:

Related to Redmine - Feature #23595: Check for Redmine new version New

Has duplicate Redmine - Feature #29624: Possibility of auto updates to the la... Closed

Has duplicate Redmine - Feature #16462: Administration - Autoupdate feature Closed

History

#1 - 2011-08-10 12:57 - Patrick Figel

I don't think this would work. Sometimes, gem requirements change with a new versions, so the update would have to take care of that too. Also,

there are so many possible ways to run RoR apps, I don't think this would be manageable at all.

Updates are really easy to do, especially if you use svn or git. Just execute svn update or git pull, run the database migrations, restart the web server

and that's it. Most plugins can be updated in the exact same manner.

The Upgrade Guide explains everything in detail.

#2 - 2015-06-17 10:08 - Robert Schneider

Is the realization still not possible or applicable?

Updates are really easy to do, especially if you use svn or git. Just execute svn update or git pull, run the database migrations, restart the web

server and that's it. Most plugins can be updated in the exact same manner.

 Is this true? It seems to me this is true within a certain version range (3.0.x). But not for 3.0.x to 3.1.x. Or am I wrong?

Each time a new version comes out it makes me happy but also it annoys me a bit to actually do it. So often I skip new releases in order to avoid the

troubles.

It would be a major feature of Redmine if updates could be applied with single click. Considering updates of plugins as well!

#3 - 2016-08-16 16:09 - Toshi MARUYAMA

- Related to Feature #23595: Check for Redmine new version added

#4 - 2018-09-17 14:29 - Go MAEDA

- Has duplicate Feature #29624: Possibility of auto updates to the latest stable version? added

#5 - 2018-09-17 14:30 - Go MAEDA

- Category set to Administration

#6 - 2018-12-19 06:59 - Anonymous

+1

#7 - 2020-06-22 11:50 - Go MAEDA

- Has duplicate Feature #16462: Administration - Autoupdate feature added
